from django.contrib.auth import get_user_model

from ..ammo.course_categories_list import CourseCategoriesListAmmo
from .available_courses_mixin import AvailableCoursesPayloadMixin
from .base_ammo import UsersWithUidBaseAmmoFactory

User = get_user_model()


class CoursesCategoriesAmmoFactory(AvailableCoursesPayloadMixin, UsersWithUidBaseAmmoFactory):
    ammo_class = CourseCategoriesListAmmo
